import { h, Host } from "@stencil/core";
import { cls } from "../../utils/helpers";
export class XDivider {
    constructor() {
        this.align = 'left';
    }
    /**
     * Render component
     */
    render() {
        return h(Host, { key: 'fdb94a6a4e8e25c02de9ee977779c5a79ba5da4f', class: cls(`divider-${this.align}`, { 'divider-with-text': true }) }, h("span", { key: 'e654fafcc17ac4e2ea3c4dc1f3155d6825b8f83e', class: "divider-inner-text" }, h("slot", { key: '31b3ab8c1362612afc606edced601c098606d9b2' })));
    }
    static get is() { return "x-divider"; }
    static get originalStyleUrls() {
        return {
            "$": ["./style.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["style.css"]
        };
    }
    static get properties() {
        return {
            "align": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "DividerAlignType",
                    "resolved": "\"center\" | \"left\" | \"right\"",
                    "references": {
                        "DividerAlignType": {
                            "location": "local",
                            "path": "/opt/atlassian/pipelines/agent/build/src/components/x-divider/component.tsx",
                            "id": "src/components/x-divider/component.tsx::DividerAlignType"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": "Element text aligment"
                },
                "attribute": "align",
                "reflect": false,
                "defaultValue": "'left'"
            }
        };
    }
}
